Subject: Need help in Mississippi

From: [email-masked] (BBNeely)
Date: 14 Mar 1995 12:29:02 -0500

I would like to converse with other gardeners in the Deep South.  I am
interested in native plants and trees for the garden.  I need help with my
Louisiana iris.  I have tried everything but they stiill do not bloom
well.